// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands.bras;

import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.bras.Pivot;

public class Bougerpivot extends CommandBase {
  /** Creates a new Bougerpivot. */
  Pivot pivot;
  double distance;
  public Bougerpivot(Pivot pivot,double distance) {
    this.pivot = pivot;
    this.distance = distance;
    addRequirements(pivot);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    if(pivot.distance()>distance+0.5 ) {
      pivot.monteDescendre(-0.5);
    }
    else if(pivot.distance()<distance-0.5) {
      pivot.monteDescendre(0.5);
    }
    else {
      pivot.monteDescendre(0);
    }
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    pivot.monteDescendre(0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
  return pivot.distance()>distance-0.5 && pivot.distance()<distance+0.5;

    }
}
