// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands.bras;

import java.util.function.DoubleSupplier;



import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.bras.BrasTelescopique;

public class BrasManuel extends CommandBase {
  private BrasTelescopique brasTelescopique;
  private DoubleSupplier doubleSupplier;
  /** Creates a new BrasManuel. */
  public BrasManuel(BrasTelescopique brasTelescopique,DoubleSupplier doubleSupplier) {
    this.brasTelescopique = brasTelescopique;
    this.doubleSupplier = doubleSupplier;
    // Use addRequirements() here to declare subsystem dependencies.
    addRequirements(brasTelescopique);
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    if(doubleSupplier.getAsDouble()>0.2 || doubleSupplier.getAsDouble()<-0.2){
      brasTelescopique.AvanceRecule(doubleSupplier.getAsDouble()*0.5);
    }
   else{
    brasTelescopique.AvanceRecule(0);
   }
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {}

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
