// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands.bras;

import java.util.function.DoubleSupplier;

import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.bras.Pivot;

public class PivotManuel extends CommandBase {
  private Pivot pivot;
  private DoubleSupplier doubleSupplier;
  /** Creates a new PivotManuel. */
  public PivotManuel(Pivot pivot,DoubleSupplier doubleSupplier) {
    this.pivot = pivot;
    this.doubleSupplier = doubleSupplier;
    // Use addRequirements() here to declare subsystem dependencies.
    addRequirements(pivot);
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    if(doubleSupplier.getAsDouble()>0.2 || doubleSupplier.getAsDouble()<-0.2){
      pivot.monteDescendre(-doubleSupplier.getAsDouble()*0.5)
      ;}
      else{
        pivot.monteDescendre(0);
       }
  }
  
  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {}

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
